!
! VPI_ANSI Video detection script by KoZmiK KaTman <VPI> 1@1214009 VirtualNET
!
! Automatically detects and sets proper video mode at login.
! This script is an early 1995 script contest entry.
!
! NOTES: Requires START.V modification and VStrings (VBBS registered)
!        String #8 should be replaced by "!VPI_ANSI"
!        Do not remove any of the ANSi codes needed for detection!
!

! The DELAY commands below should not be removed...
! They allow the users terminal response time to the codes.

$Opt = Detected
DELAY 1
SUSPENDPAGEBREAK

TR
TS "Tracking Caller ID... "
DELAY 2
TR "Done!"

TR "[![6n"
TR "Auto-Sensing ANSI/RIP Mode...[0;8m Strike <ENTER> To Continue."
RC $Sense1 "[0;8m"
DELAY 1
TR

! If the <ESC> key code is sensed, it's ANSI, if "R" then it's RIP
! If neither applies (ASCII), they should see the "Strike <ENTER> To Continue."

IF $Sense1 <> ""
 RS $LeftOver "[0mPlease Strike <ENTER> To Continue. [0;8m"
ENDIF
TR

TEST $Sense1 = R RIP
TEST $Sense1 =  ANSI

$Sense2 = $LeftOver LEFT 1
TEST $Sense2 = [ ANSI
TEST $Sense2 = R RIP

# VidMode

! Detection failure (ASCII) gives them this menu to select their videomode.
! One more attempt at automatic RIP/ANSi detection is made here also.

$Opt = Selected

TR [2J[0m[![6n
TR
TR "   Ŀ"
TR "    Select Graphics Mode "
TR "   "
TR
TR
TR "   R)IP_______________(Hi-resolution! RIPterm and a mouse required)"
TR
TR "   A)NSI______________(Color)"
TR
TR "   E)nhanced ANSi_____(Pull-down Menus)"
TR
TR "   N)o Color__________(ASCII... Boring!)"
TR
TR
RR $Key [AENR? "Select Graphics Mode (AENR?): "

TR
TEST $Key = ? VidMode
TEST $Key =  Detected
TEST $Key = [ Detected
TEST $Key = A ANSI
TEST $Key = E Enhanced
TEST $Key = R RIP
TEST $Key = N ASCII

# Detected

$Opt = Detected

# ANSI                        ! ANSI is detected or selected.

$VidMode = ANSI
GO End

# Enhanced                    ! Enhanced ANSI is selected.

$VidMode = Enhanced
GO End

# RIP                         ! RIP is detected or selected.

$VidMode = RIP

! "2" is the RIP VString language selection at CyberNation. If RIPterm...
! is detected, then RIP language strings are automatically selected.
! Comment out or edit the next line to fit your systems default RIP strings.

STACK 2
GO End

# ASCII                       ! ASCII is selected.

$VidMode = ASCII

# End

OPEN Video.Chk OUTPUT
 WRITE $VidMode
 WRITE $Opt
 DELAY 1
CLOSE
ENDIF

NEWPAGE
RESUMEPAGEBREAK

! No EXIT or LINK is used here because it is a part of VString.

